//Fichier scilab pour le TP "Tripatouille"



//Créer un tableau de n nombres aléatoires entre 0 et 20
function tab=TableauAleatoire(n)
  tab=tirage_entier(n,0,20);
endfunction



////Exemple d'utilisation de la fonction TableauAleatoire
//T=TableauAleatoire(10)
//afficher(T)



//Modèle de fonction À MODIFIER pour écrire une fonction de tri
//Pour l'instant, cette fonction réalise une permutation circulaire //d'une case vers la gauche des éléments du tableau donné en entrée
function tabsortie=MonTri(tabentree)
  //initialisation des valeurs
  tabsortie=tabentree
  n=taille(tabsortie)
  //l'algorithme commence ici
  temp=tabsortie(1)
  for i=1:n-1
    tabsortie(i)=tabsortie(i+1)
  end
  tabsortie(n)=temp
endfunction



////Exemple d'utilisation de la fonction MonTri
//T=TableauAleatoire(10)
//afficher(T)
//Res=MonTri(T)
//afficher(Res)




////Exemple d'utilisation du chronomètre
//T=TableauAleatoire(100)
//tic()
//Res=MonTri(T)
//afficher(toc())



////Exemple de tracé d'une courbe de temps de calculs
//// nettoyage du tableau des temps entre deux exécutions
//NombreDeMesures=10
//TempsMonTri=zeros(1,NombreDeMesures)
//// début des simulations
//for i=1:NombreDeMesures
//// les tailles des tableaux vont de 300 à 3000
//  tab=TableauAleatoire(300*i);
//// temps de calcul 
//  tic()
//  MonTri(tab);
//  TempsMonTri(i)=toc()
//end
//// fin des simulations
//// nettoyage de la fenêtre graphique entre deux exécutions
//clf;
//// affichage de la courbe des temps de calcul  
//plot(TempsMonTri) 