// préparation de la fenêtre graphique
clf;
x=linspace(1,15,15)
plot(x,x,"w")
// nettoyage des tableaux de temps entre deux exécutions
tempsselection=0;
tempsinsertion=0;
tempsbulles=0;
tempsfusion=0;
// début des simulations
for i=1:10
// les tailles des tableaux vont de 300 à 3000
  tab=tableaualeatoire(300*i);
// temps de calcul du tri par sélection 
  tic()
  triselection(tab);
  tempsselection(i)=toc()
// temps de calcul du tri par insertion
  tic()
  triinsertion(tab);
  tempsinsertion(i)=toc()
// temps de calcul du tri à bulles 
  tic()
  tribulles(tab);
  tempsbulles(i)=toc()
// temps de calcul du tri fusion 
   n=taille(tab);
   tic()
  trifusion(tab,n,1,n);
  tempsfusion(i)=toc()
// affichage des courbes des temps de calcul  
  plot(tempsselection,"-*r") 
  plot(tempsinsertion,"-+b")
  plot(tempsbulles,"-om")
  plot(tempsfusion,"-^g")
  legend(" ","Tri selection","Tri insertion","Tri bulles","Tri fusion")
end